SSS_USERADD(8)

NAME
sss_useradd - Crea un nuevo usuario

SYNOPSIS

sss_useradd [options] LOGIN

DESCRIPCION

sss_useradd crea una nueva cuenta de usuario usando los valores especificados en la línea de comandos más los valores por defecto del sistema.

OPCIONES

-u,--uid UID
    Fija la UID del usuario al valor de UID. Si no se da, se elige automáticamente.

-c,--gecos COMENTARIO
    Cualquier cadena de texto describiendo al usuario. Frecuentemente se usa como el campo para el nombre completo del usuario.

-h,--home HOME_DIR
    El directorio home de la cuenta de usuario. Por defecto se añade el nombre LOGIN a /home y utiliza esto como directorio home. La base de que se antepondrá antes LOGIN es sintonizable con el ajuste “user_defaults/baseDirectory” en sssd.conf.

-s,--shell SHELL
    La shell de acceso del usuario. Por defecto es actualmente /bin/bash. El valor por defecto puede ser cambiado con el ajuste “user_defaults/defaultShell” en sssd.conf.

-G,--groups GRUPOS
    Una lista de grupos existentes de los que el usuario también es miembro.

-m,--create-home
    Crea el directorio home del usuario si no existe. Los ficheros y directorios contenidos en el directorio esqueleto (que pueden ser definidos con la opción –k o en el fichero de configuración) serán copiados en el directorio home.

-M,--no-create-home
    No se crear el directorio principal del usuario. Reemplaza los valores de configuración.

-k,--skel SKELDIR
    El directorio esqueleto, que contiene ficheros y directorios a copiar en el directorio home del usuario, cuando el directorio home es creado por sss_useradd.

    Special files (block devices, character devices, named pipes and unix sockets) will not be copied.

    Esta opción sólo es válida si se ha especificado la opción -m (o --create-home), o la creación de directorios home está fijada a TRUE en la configuración.

-Z,--selinux-user SELINUX_USER
    El usuario SELinux para el acceso de usuario. Si no se especifica, se usará el valor por defecto del sistema.

-?,--help
    Muestra mensaje de ayuda y sale.

EL DOMINIO LOCAL

Con el objetivo de que funcione correctamente, se debe crear un dominio con “id_provider=local” y el SSSD debe estar corriendo.

El administrador puede desear usar los usuarios locales SSSD en lugar de los usuarios tradicionales UNIX en los casos donde los grupos anidados (vea sss_groupadd(8)) sean necesarios. Los usuarios locales son también útiles para la prueba y el desarrollo del SSSD sin tener que desplegar un servidor remoto completo. Las herramientas sss_user* y sss_group* usan un almacenamiento LDB local para almacenar usuarios y grupos.

VEA TAMBIEN

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-sudo(5), sssd-secrets(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_groupadd(8), sss_groupdel(8), sss_groupshow(8), sss_groupmod(8), sss_useradd(8), sss_userdel(8), sss_usermod(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/